models Package
Classes
| AgentProperties |
The properties that determine the run agent configuration. |
| Argument |
The properties of a run argument. All required parameters must be populated in order to send to Azure. |
| AuthInfo |
The authorization properties for accessing the source code repository. All required parameters must be populated in order to send to Azure. |
| AuthInfoUpdateParameters |
The authorization properties for accessing the source code repository. |
| BaseImageDependency |
Properties that describe a base image dependency. |
| BaseImageTrigger |
The trigger based on base image dependency. All required parameters must be populated in order to send to Azure. |
| BaseImageTriggerUpdateParameters |
The properties for updating base image dependency trigger. All required parameters must be populated in order to send to Azure. |
| Credentials |
The parameters that describes a set of credentials that will be used when a run is invoked. |
| CustomRegistryCredentials |
Describes the credentials that will be used to access a custom registry during a run. |
| DockerBuildRequest |
The parameters for a docker quick build. All required parameters must be populated in order to send to Azure. |
| DockerBuildStep |
The Docker build step. Variables are only populated by the server, and will be ignored when sending a request. All required parameters must be populated in order to send to Azure. |
| DockerBuildStepUpdateParameters |
The properties for updating a docker build step. All required parameters must be populated in order to send to Azure. |
| EncodedTaskRunRequest |
The parameters for a quick task run request. All required parameters must be populated in order to send to Azure. |
| EncodedTaskStep |
The properties of a encoded task step. Variables are only populated by the server, and will be ignored when sending a request. All required parameters must be populated in order to send to Azure. |
| EncodedTaskStepUpdateParameters |
The properties for updating encoded task step. All required parameters must be populated in order to send to Azure. |
| FileTaskRunRequest |
The request parameters for a scheduling run against a task file. All required parameters must be populated in order to send to Azure. |
| FileTaskStep |
The properties of a task step. Variables are only populated by the server, and will be ignored when sending a request. All required parameters must be populated in order to send to Azure. |
| FileTaskStepUpdateParameters |
The properties of updating a task step. All required parameters must be populated in order to send to Azure. |
| IdentityProperties |
Managed identity for the resource. |
| ImageDescriptor |
Properties for a registry image. |
| ImageUpdateTrigger |
The image update trigger that caused a build. |
| PlatformProperties |
The platform properties against which the run has to happen. All required parameters must be populated in order to send to Azure. |
| PlatformUpdateParameters |
The properties for updating the platform configuration. |
| ProxyResource |
The resource model definition for a ARM proxy resource. It will have everything other than required location and tags. Variables are only populated by the server, and will be ignored when sending a request. |
| Resource |
An Azure resource. Variables are only populated by the server, and will be ignored when sending a request. All required parameters must be populated in order to send to Azure. |
| Run |
Run resource properties. Variables are only populated by the server, and will be ignored when sending a request. |
| RunFilter |
Properties that are enabled for Odata querying on runs. |
| RunGetLogResult |
The result of get log link operation. |
| RunListResult |
Collection of runs. |
| RunRequest |
The request parameters for scheduling a run. You probably want to use the sub-classes and not this class directly. Known sub-classes are: DockerBuildRequest, EncodedTaskRunRequest, FileTaskRunRequest, TaskRunRequest. All required parameters must be populated in order to send to Azure. |
| RunUpdateParameters |
The set of run properties that can be updated. |
| SecretObject |
Describes the properties of a secret object value. |
| SetValue |
The properties of a overridable value that can be passed to a task template. All required parameters must be populated in order to send to Azure. |
| SourceProperties |
The properties of the source code repository. All required parameters must be populated in order to send to Azure. |
| SourceRegistryCredentials |
Describes the credential parameters for accessing the source registry. |
| SourceTrigger |
The properties of a source based trigger. All required parameters must be populated in order to send to Azure. |
| SourceTriggerDescriptor |
The source trigger that caused a run. |
| SourceTriggerUpdateParameters |
The properties for updating a source based trigger. All required parameters must be populated in order to send to Azure. |
| SourceUpdateParameters |
The properties for updating the source code repository. |
| SourceUploadDefinition |
The properties of a response to source upload request. |
| Task |
The task that has the ARM resource and task properties. The task will have all information to schedule a run against it. Variables are only populated by the server, and will be ignored when sending a request. All required parameters must be populated in order to send to Azure. ivar id: The resource ID. vartype id: str ivar name: The name of the resource. vartype name: str ivar type: The type of the resource. vartype type: str ivar location: Required. The location of the resource. This cannot be changed after the resource is created. vartype location: str ivar tags: A set of tags. The tags of the resource. vartype tags: dict[str, str] ivar identity: Identity for the resource. vartype identity: ~azure.mgmt.containerregistry.v2019_04_01.models.IdentityProperties ivar provisioning_state: The provisioning state of the task. Possible values include: "Creating", "Updating", "Deleting", "Succeeded", "Failed", "Canceled". vartype provisioning_state: str or ~azure.mgmt.containerregistry.v2019_04_01.models.ProvisioningState ivar creation_date: The creation date of task. vartype creation_date: ~datetime.datetime ivar status: The current status of task. Possible values include: "Disabled", "Enabled". vartype status: str or ~azure.mgmt.containerregistry.v2019_04_01.models.TaskStatus ivar platform: The platform properties against which the run has to happen. vartype platform: ~azure.mgmt.containerregistry.v2019_04_01.models.PlatformProperties ivar agent_configuration: The machine configuration of the run agent. vartype agent_configuration: ~azure.mgmt.containerregistry.v2019_04_01.models.AgentProperties ivar timeout: Run timeout in seconds. vartype timeout: int ivar step: The properties of a task step. vartype step: ~azure.mgmt.containerregistry.v2019_04_01.models.TaskStepProperties ivar trigger: The properties that describe all triggers for the task. vartype trigger: ~azure.mgmt.containerregistry.v2019_04_01.models.TriggerProperties ivar credentials: The properties that describes a set of credentials that will be used when this run is invoked. vartype credentials: ~azure.mgmt.containerregistry.v2019_04_01.models.Credentials |
| TaskListResult |
The collection of tasks. |
| TaskRunRequest |
The parameters for a task run request. All required parameters must be populated in order to send to Azure. |
| TaskStepProperties |
Base properties for any task step. You probably want to use the sub-classes and not this class directly. Known sub-classes are: DockerBuildStep, EncodedTaskStep, FileTaskStep. Variables are only populated by the server, and will be ignored when sending a request. All required parameters must be populated in order to send to Azure. |
| TaskStepUpdateParameters |
Base properties for updating any task step. You probably want to use the sub-classes and not this class directly. Known sub-classes are: DockerBuildStepUpdateParameters, EncodedTaskStepUpdateParameters, FileTaskStepUpdateParameters. All required parameters must be populated in order to send to Azure. |
| TaskUpdateParameters |
The parameters for updating a task. |
| TimerTrigger |
The properties of a timer trigger. All required parameters must be populated in order to send to Azure. |
| TimerTriggerDescriptor |
TimerTriggerDescriptor. |
| TimerTriggerUpdateParameters |
The properties for updating a timer trigger. All required parameters must be populated in order to send to Azure. |
| TriggerProperties |
The properties of a trigger. |
| TriggerUpdateParameters |
The properties for updating triggers. |
| UserIdentityProperties |
UserIdentityProperties. |
Enums
| Architecture |
The OS architecture. |
| BaseImageDependencyType |
The type of the base image dependency. |
| BaseImageTriggerType |
The type of the auto trigger for base image dependency updates. |
| OS |
The operating system type required for the run. |
| ProvisioningState |
The provisioning state of a run. |
| ResourceIdentityType |
The identity type. |
| RunStatus |
The current status of the run. |
| RunType |
The type of run. |
| SecretObjectType |
The type of the secret object which determines how the value of the secret object has to be interpreted. |
| SourceControlType |
The type of source control service. |
| SourceRegistryLoginMode |
The authentication mode which determines the source registry login scope. The credentials for the source registry will be generated using the given scope. These credentials will be used to login to the source registry during the run. |
| SourceTriggerEvent |
An enumeration. |
| StepType |
The type of the step. |
| TaskStatus |
The current status of task. |
| TokenType |
The type of Auth token. |
| TriggerStatus |
The current status of trigger. |
| Variant |
Variant of the CPU. |
Feedback
Submit and view feedback for